Page MenuHomePhabricator

Subtask: Clean up `MinervaUsePageActionBarV2` on mobile web
Closed, ResolvedPublic

Description

Remove feature MinervaUsePageActionBarV2

This supports the old page actions bar which didn't have the language icon.
Supporting 2 modes of page actions is no longer necessary.

  • Remove checks for MinervaUsePageActionBarV2 and need for variable
  • Remove use of feature-page-action-bar-v2 class

Event Timeline

Jdlrobson claimed this task.

Change 313070 had a related patch set uploaded (by Jdlrobson):
Remove MinervaUsePageActionBarV2 config variable

https://gerrit.wikimedia.org/r/313070

Change 313226 had a related patch set uploaded (by Jdlrobson):
feature-page-action-bar-v2 class is no longer necessary

https://gerrit.wikimedia.org/r/313226

phuedx added a subscriber: phuedx.Sep 29 2016, 10:13 AM

@Jdlrobson: Could you estimate this task?

@phuedx I'd be more comfortable doing that when this work is done or as part of the team in case I underestimate the work involved.

Change 313070 merged by jenkins-bot:
Remove MinervaUsePageActionBarV2 config variable

https://gerrit.wikimedia.org/r/313070

  • Remove checks for MinervaUsePageActionBarV2 and need for variable

Seems done. I'll update description


https://gerrit.wikimedia.org/r/#/c/313226/ which addresses

Remove use of feature-page-action-bar-v2 class

Is still on review and has comments on it. Back to needs more work.

Jhernandez removed Jhernandez as the assignee of this task.Oct 3 2016, 11:03 AM
Jhernandez updated the task description. (Show Details)
Jhernandez added a subscriber: Jhernandez.

Change 313226 merged by jenkins-bot:
feature-page-action-bar-v2 class is no longer necessary

https://gerrit.wikimedia.org/r/313226

Jhernandez closed this task as Resolved.Oct 4 2016, 12:37 PM
Jhernandez claimed this task.
Jhernandez updated the task description. (Show Details)